function main(self)
	if self.State == 0 then
		self.frameTime = 70
		self.countTime = GetTime() + self.frameTime
		self.Flags.AlwaysActive = true
		self.back = GetPlane"BackStars1"
		self.back2 = GetPlane"BackStars2"

		self.tx, self.ty = math.random(100)-1, math.random(100)-1
		self.back:PlaceTile(self.tx, self.ty, 1)

		self.tx2, self.ty2 = math.random(100)-1, math.random(100)-1
		self.back2:PlaceTile(self.tx2, self.ty2, 1)

		self.State = 1
	end

	for state = 1, 5, 1 do
		if self.State == state and GetTime() > self.countTime then
			local incr = state + 1
			self.back:PlaceTile(self.tx, self.ty, incr)
			self.back2:PlaceTile(self.tx2, self.ty2, incr)
			self.countTime = GetTime() + self.frameTime
			self.State = incr
			return
		end
	end

	if self.State == 6 and GetTime() > self.countTime then
		self.back:PlaceTile(self.tx, self.ty, -1)
		self.back2:PlaceTile(self.tx2, self.ty2, -1)
		self:Destroy()
	end

end
